claw::breadth_scan< Graph, Events > Class Template Reference

This class performs a depth scan of a graph. Only reachables vertices from a given vertex are proceeded. More...

`#include <graph_algorithm.hpp>`

## Public Types

typedef Graph::vertex_type | vertex_type
typedef Graph::vertex_iterator | vertex_iterator
typedef std::map< vertex_type, int, typename Graph::vertex_compare > | coloration
| Colors are :

## Public Member Functions

| breadth_scan (const Graph &g, const vertex_type &source, Events &events)
void | operator() ()

## Detailed Description

template<class Graph, class Events = scan_events<Graph>>
class claw::breadth_scan< Graph, Events >

This class performs a depth scan of a graph. Only reachables vertices from a given vertex are proceeded.

Definition at line 72 of file graph_algorithm.hpp.

## Member Typedef Documentation

## coloration

template<class Graph, class Events = scan_events<Graph>>

typedef std::map<vertex_type, int, typename Graph::vertex_compare> claw::breadth_scan< Graph, Events >::coloration

Colors are :

- 0 : never seen.
- 1 : seen but not done.
- 2 : done.

Definition at line 84 of file graph_algorithm.hpp.

## vertex_iterator

template<class Graph, class Events = scan_events<Graph>>

typedef Graph::vertex_iterator claw::breadth_scan< Graph, Events >::vertex_iterator

Definition at line 76 of file graph_algorithm.hpp.

## vertex_type

template<class Graph, class Events = scan_events<Graph>>

typedef Graph::vertex_type claw::breadth_scan< Graph, Events >::vertex_type

Definition at line 75 of file graph_algorithm.hpp.

The documentation for this class was generated from the following file:

- graph_algorithm.hpp